/// <reference types="ioredis" />
/// <reference types="bluebird" />
import * as Redis from 'ioredis';
import { Observable } from 'rxjs/Observable';
import * as Promise from 'bluebird';
export declare class PubsubManager {
    private options;
    private redisClient;
    private topicMaps;
    private serverEventsToObservables;
    constructor(options?: Redis.RedisOptions);
    publish(topic: string, message: string): Promise<number>;
    publishBulk(topic: string, messagesBulk: Array<string>): Promise<any>;
    consume(topic: string): Observable<any>;
    getServerEventStream(eventName: ServerEvent): Observable<any>;
    unsubscribe(topic: string): void;
    private createNewTopicObservable(topic);
    private createNewEventObservable(event);
    private getDefaultOptions();
}
export declare type ServerEvent = 'connect' | 'ready' | 'error' | 'close' | 'reconnecting' | 'end';
